QGIS Application - Bug report #8068
Wrong font display in qgis server
2013-06-15 12:21 AM - Paolo Cavallini

Status: Closed

Priority: Severe/Regression

Assignee: Larry Shaffer

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 16907
Description

Fonts in qgs-server are bigger than in the client, and look much worse (rasterized?). Confirmed in two different installations (one Debian
and one RH).

Also, transparencies seem (unconfirmed) to be darker.

This happened recently on master.

Related issues:
Related to QGIS Application - Bug report # 8413: Labels backgrounds are not c... Closed 2013-08-05

History

#1 - 2013-06-15 04:57 AM - Giovanni Manghi
- Priority changed from Normal to Severe/Regression

Confirmed the issue with font sizes. | cannot see any problem with transparencies of both features or labels.

#2 - 2013-06-15 04:18 PM - Larry Shaffer

| believe this may be due to my recent reworking of that part of labeling engine. I'll be working on #3975 next (same area of code) and will also look into
this.

| have not worked on QGIS Server before, so | have not assigned myself to the issue, if that is where the issue actually is.

#3 - 2013-06-15 04:20 PM - Larry Shaffer

Assuming this is for fonts defined as points (is it?), as a test, could you see if it also happens when a font size is defined in map units (like UTM meters)?

#4 - 2013-06-15 04:25 PM - Giovanni Manghi

Larry Shaffer wrote:

could you see if it also happens when a font size is defined in map units (like UTM meters)?

yes
#5 - 2013-06-24 12:05 AM - Andreas Neumann

Just a quick question.

Are you sure that the fonts are properly installed on QGIS server? | also had font-issues between server and desktop and believed the fonts were intalled,

but they were not.

Once | properly installed the fonts, updated the font-cache and restarted Apache, the fonts rendered fine on QGIS server - like on Desktop.

#6 - 2013-06-24 02:50 AM - Paolo Cavallini

Until a recent qgis server upgrade things worked well. Now checked by setting up all fonts in the project a Imodern and:

aptitude install Imodern
dpkg-reconfigure fontconfig-config
dpkg-reconfigure fontconfig

/etc/init.d/apache? restart

Results as attached (bigger labels from WMS, smaller from the project). See also http:/geosisma-lizmap.faunalia.it (fonts too big, labels overlap each
other).

#7 - 2013-06-24 02:54 AM - Paolo Cavallini
- File labels.png added

#8 - 2013-07-01 10:22 AM - Salvatore Larosa

Same here: http://Irssvt.ns0.it/img/label_font_wms.gif

#9 - 2013-07-15 02:33 AM - Michael Douchin

| have seen that this bug also concerns the composer legend font size in server-side produced pdf. When exporting a composer from QGIS desktop to pdf,

font size are correct. When using the getPrint request from the server to do the same export, font size are bigger.

#10 - 2013-07-20 04:54 AM - Jiirgen Fischer

This might also affect tests. Eg. http://dash.orfeo-toolbox.org/testDetails.php?test=180794818&#38;build=123920

#11 - 2013-07-27 09:09 PM - Nathan Woodrow

Should this be blocking QGIS Desktop when it's server related?

#12 - 2013-07-29 01:16 AM - Paolo Cavallini

AFAIK we are releasing both together, so blockers for one is blocking also the other.
#13 - 2013-07-29 01:28 AM - Marco Hugentobler
- Category changed from QGIS Server to Labelling

Should this be blocking QGIS Desktop when it's server related?

It is most likely labeling related.

#14 - 2013-07-29 01:58 AM - Paolo Cavallini

This is also my understanding. It appeared after a Larry modification of the labelling.

#15 - 2013-07-29 09:36 AM - Larry Shaffer

- Assignee set to Larry Shaffer

- % Done changed from 0 to 70

Hi,

| finally got some time to start work on this. It appears to be a little of both Server and labeling, but mostly it is a labeling issue.

The basic cause, as far as | can determine, is that the server initializes its default Qlmage at 75 dpi (why specifically 757, | can't determine). On Mac,
where the default renderer's painter device is 72 dpi, this causes the Desktop fonts to be 1.04 larger than the server's. On other platforms, where the

default dpi is higher (say 96), then the server fonts would be shown larger.

| have an adjustment ratio for such a dpi difference for producing print output with labels, but it is triggered only for rasterized output. When | adjusted this
to be always on, it fixed the server font issue (at least on my Mac), but then caused complicated issues with the drop shadow implementation.

I will work more on it tonight and clean up the branch/commits so others can test/help. Unfortunately, | have not had the time to build a comprehensive test

suite using the new labeling Python API.

There are also a couple of other issues with labeling output (letter-spacing, etc.) that | will work on next, then hopefully | can find the time to produce the

test suite to discover more issues.

#16 - 2013-09-06 12:34 PM - Giovanni Manghi

- Target version set to Future Release - High Priority

#17 - 2014-01-23 08:38 AM - Karl-Magnus Jonsson

Hi,

can we expect this issue to be fixed in version 2.27? It would really be appreciated. We havn't upgraded our production server to 2.0 yet and that's too bad.

#18 - 2014-01-26 11:11 PM - Evgeniy Nikulin

It's blocker. We can not use the server > 1.8.

#19 - 2014-02-08 05:11 AM - Giovanni Manghi
- Status changed from Open to Closed
- Resolution set to fixed/implemented

In the latest master code for qgis server seems that things are ok. | tested on both Linux (ubuntu) and Windows (osgeo4w).

Please reopen if necessary.

Files

labels.png 232 KB 2013-06-24 Paolo Cavallini
